# XSAttributeGroupDefinition Class Reference

Inheritance diagram for XSAttributeGroupDefinition:

List of all members.

## Public Member Functions

Constructors
| XSAttributeGroupDefinition (XercesAttGroupInfo *const xercesAttGroupInfo, XSAttributeUseList *const xsAttList, XSWildcard *const xsWildcard, XSAnnotation *const xsAnnot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSAttributeGroupDefinition ()
overridden XSObject methods
const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces.
const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified.
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
XSAttributeGroupDefinition methods
XSAttributeUseList * | getAttributeUses ()
| A set of [attribute uses].
XSWildcard * | getAttributeWildcard () const
| Optional.
XSAnnotation * | getAnnotation () const
| Optional.

## Protected Attributes

XercesAttGroupInfo * | fXercesAttGroupInfo
XSAttributeUseList * | fXSAttributeUseList
XSWildcard * | fXSWildcard
XSAnnotation * | fAnnotation

## Constructor & Destructor Documentation

XSAttributeGroupDefinition::XSAttributeGroupDefinition | ( | XercesAttGroupInfo *const | xercesAttGroupInfo,
|  | XSAttributeUseList *const | xsAttList,
|  | XSWildcard *const | xsWildcard,
|  | XSAnnotation *const | xsAnnot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

The default constructor.

Parameters:

  | xercesAttGroupInfo |
  | xsAttList |
  | xsWildcard |
  | xsAnnot |
  | xsModel |
  | manager | The configurable memory manager

XSAttributeGroupDefinition::~XSAttributeGroupDefinition | ( |  | ) |

## Member Function Documentation

const XMLCh* XSAttributeGroupDefinition::getName | ( |  | ) | const`[virtual]`

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented from XSObject.

const XMLCh* XSAttributeGroupDefinition::getNamespace | ( |  | ) | `[virtual]`

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented from XSObject.

XSNamespaceItem* XSAttributeGroupDefinition::getNamespaceItem | ( |  | ) | `[virtual]`

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented from XSObject.

XSAttributeUseList * XSAttributeGroupDefinition::getAttributeUses | ( |  | ) |

A set of [attribute uses].

References fXSAttributeUseList.

XSWildcard * XSAttributeGroupDefinition::getAttributeWildcard | ( |  | ) | const

Optional.

A [wildcard].

References fXSWildcard.

XSAnnotation * XSAttributeGroupDefinition::getAnnotation | ( |  | ) | const

Optional.

An [annotation].

References fAnnotation.

## Member Data Documentation

XercesAttGroupInfo* XSAttributeGroupDefinition::fXercesAttGroupInfo`[protected]`

XSAttributeUseList* XSAttributeGroupDefinition::fXSAttributeUseList`[protected]`

Referenced by getAttributeUses().

XSWildcard* XSAttributeGroupDefinition::fXSWildcard`[protected]`

Referenced by getAttributeWildcard().

XSAnnotation* XSAttributeGroupDefinition::fAnnotation`[protected]`

Referenced by getAnnotation().

The documentation for this class was generated from the following file:

- XSAttributeGroupDefinition.hpp